
QGIS Application - Bug report #10418

" Batch processing" crashs when setting one vector parameter

2014-06-02 06:42 AM - Etienne Trimaille

Status: Closed

Priority: Normal

Assignee:

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18833

Description

When I use batch processing, I can't set my vector parameter.

If I choose "select from open layers" and I select only one, I get this :

Traceback (most recent call last):

  File "/home/etienne/.qgis2/python/plugins/processing/gui/BatchInputSelectionPanel.py", line 93, in showLayerSelectionDialog

    self.text.setText(layers[selected[0]])

TypeError: QLineEdit.setText(QString): argument 1 has unexpected type 'QgsVectorLayer'

However, if I click "select all", it works.

History

#1 - 2014-06-21 08:01 AM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Project changed from 78 to QGIS Application

- Affected QGIS version set to 2.2.0

#2 - 2014-06-21 08:02 AM - Jürgen Fischer

- Category set to 94

#3 - 2014-06-22 03:09 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

this has been fixed in the latest qgis master.

#4 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
